def var rpt-hdr        as char format "x(60)" init "TIMED Reenactment Services - (GSP)" label "Report Header".

def var outfile as char format "x(20)" no-undo.

def var i as int.
def var j as int.
def var k as int.
def var l as int.
def var m as int.

def stream rpt.

/*      
message "Filename?" update outfile.
*/ outfile = "rr8.txt".

output stream rpt to value(outfile) page-size 59.

display stream rpt
     rpt-hdr                      no-label at 37
     today    format "99/99/9999"          at 114
     string(time, "hh:mm:ss")                     
     with width 132 no-labels no-box no-attr-space
     frame f-cover132.

display stream rpt
     "Options: "
     "Site"
     with width 132 no-labels no-box no-attr-space
     frame f-cover132.

page stream rpt.

/*
form header
     rpt-hdr                      no-label at 37
     today    format "99/99/9999"          at 114
     string(time, "hh:mm:ss")                     
     with page-top width 132 no-labels no-box no-attr-space
     frame f-title132.
view stream rpt frame f-title132.

form i j k l m
     with frame f1 down row 0 column 0 width 132.

repeat i = 1 to 75:
   
   down 1 with frame f1.
   display stream rpt 
           i j k 
           with frame f1.

   if i = 11 then
      page. 

   down stream rpt with frame f1.
   down stream rpt with frame f1.
   down stream rpt with frame f1.

   display stream rpt 
           l m 
           with frame f1.
end.           
*/
output stream rpt close.
