
def stream rpt.
def var rpt-name as character.
def var version  as character format "x(20)".
def var rpt-hdr  as character format "x(37)".
def var call-var as character.
def var bogus-name as character init "BILLY BOB" format "x(40)".

rpt-name = "BUYR01-R".
rpt-hdr  = "TIMED Reenactment Services - (GSP)".
call-var = "shaman".
version  = "shaman 2.4aR1".

message "File or process?" update file as logical.

if file then
   output stream rpt to sample.txt page-size 59.
else
   output stream rpt through cat > sample.txt page-size 59.

form header
   version                      no-label
   rpt-hdr                      no-label at 33
   today format "99/99/9999"             at 114
   string(time, "hh:mm:ss")                     skip
   rpt-name                     no-label
   call-var                     no-label
   "BUYERS REPORT"     at  58
   page-number(rpt) format "Page: >>>>>9"     to 132 skip
   "-----------------------------" at 52 skip
   "*  C O N F I D E N T I A L  *" at 52 skip
   "-----------------------------" at 52 skip(1)
   with page-top width 132 no-labels no-box no-attr-space
   frame f-title132.
   
view stream rpt frame f-title132.

form header
   skip(1)
   with page-top width 132 no-labels no-box no-attr-space
   frame f-opt132.
   
view stream rpt frame f-opt132.

form
   with down width 132 no-box no-attr-space frame f-body132.

def var i as int.

repeat i = 1 to 49:

   display stream rpt
           i
           bogus-name
           with frame f-body132.
   down stream rpt with frame f-body132.

end.

output stream rpt close.
