
def var version        as char format "x(20)" init "SHAMAN 2.4aR1".
def var rpt-hdr        as char format "x(60)" init "TIMED Reenactment Services - (GSP)" label "Report Header".
def var rpt-name       as char                init "HEADCT-R".
def var s-skill-code   as char format "x(6)"  init 4100 label "Skill Code".
def var e-skill-code   as char format "x(6)"  init 8510 label "Skill Code".
def var t-eff-date     as date init today.
def var skill          as char format "x(6)".
def var skill-desc     as char format "x(25)" label "Skill Description".
def var skill-loa      as int format "zzz9".
def var skill-direct   as int format "zzz9".
def var skill-contract as int format "zzz9".
def var contract-pct   as int.
def var dir-avail      as int.
def var head-total     as int.
def var hrs-avail      as int.
def var skill-mix      as int.

def var outfile as char format "x(20)" no-undo.

def var i as int.

def var f-line1 as char format "x(132)".
f-line1 = fill("- ", 66).

/*      
message "Filename?" update outfile.
*/ outfile = "rr5.txt".

output to value(outfile) page-size 59.

form header
     version                      no-label
     rpt-hdr                      no-label at 37
     today    format "99/99/9999"          at 114
     string(time, "hh:mm:ss")                     
     skip
     rpt-name                     no-label
     "M A S T E R   H E A D C O U N T   R E P O R T"     at 46
     page-number format "Page: >>>>>9"     to 132
     skip(1)
     with page-top width 132 no-labels no-box no-attr-space
     frame f-title132.
view frame f-title132.

form header
     "Sort By: "
     "Site"
     space(5)
     "Billable : "
     "Both"
     space(5)
     "Skill(s) : "
     s-skill-code
     space(3)
     "thru"
     space (3)
     e-skill-code
     space(5)
     "Eff Date : "
     t-eff-date               
     skip(1)
     with page-top width 132 no-labels no-box no-attr-space
     frame f-opt132.
view frame f-opt132.

form header
   "Skill"               at 1
   "Description"         at 7 
   "Direct"              at 38
   "Contract"            at 47
   "Pct"                 at 57
   "LOA"                 at 66
   "Direct Avail"        at 72
   "Total"               at 88
   "Hrs Avail"           at 95
   "Skill Pct"           at 106
   "-----"                     at 1
   "----------------------"    at 7
   "------"                    at 38
   "--------"                  at 47
   "---"                       at 57 
   "---"                       at 66
   "------------"              at 72
   "-----"                     at 88
   "---------"                 at 95
   "---------"                 at 106
   with width 132 no-box no-labels page-top frame f-hdr132.
view frame f-hdr132.     

form skill           at   1   format "x(4)"
     skill-desc      at   7
     skill-direct    at  38 
     skill-contract  at  48
     contract-pct    at  56   format "zz9%"
     skill-loa       at  65 
     dir-avail       at  70   format "zzz9"  
     head-total      at  87   format "zzzzz9"
     hrs-avail       at  95   format "zzzzzzz9"
     skill-mix       at  106  format "zz9.9%"    
     with down width 132 no-box no-labels no-attr-space frame f-body132.
     
/* The following statement causes the first output to be made to the report.
   Up to this point, VIEW and HIDE FRAME, that can be used multiple times,
   do not cause any output, but simply define the state of the frames.
   The first output makes those PAGE-TOP frames that are visible at the moment
   rendered on the top of the page before that output.
*/

display skip
        with width 132 no-box frame f-skip.
        
/* Hiding a PAGE-TOP frame at this moment has no backward effect onto the
   first pahe of the report. However, this frame won't appear on the 
   subsequent pages unless VIEW is issued again.
*/
   
hide frame f-title132.

do i = 1 to 5:
   
   display skill
           0 @ skill-direct
           0 @ skill-contract
           with frame f-body132.
   display skill-desc
           0 @ contract-pct
           0 @ skill-loa
           0 @ dir-avail
           0 @ head-total
           0 @ hrs-avail
           0 @ skill-mix
           with frame f-body132.
   down with frame f-body132.
   put unformatted f-line1.
   down 2 with frame f-body132.
end.           

output close.
