def var rpt-hdr        as char format "x(60)" init "TIMED Reenactment Services - (GSP)" label "Report Header".

def var outfile as char format "x(20)" no-undo.

def var i as int.
def var j as int.
def var k as int.
def var l as int.
def var m as int.

def stream rpt.

/*      
message "Filename?" update outfile.
*/ outfile = "rr6-14.txt".

output stream rpt to value(outfile) page-size 59.

form header
     rpt-hdr                      no-label at 37
     today    format "99/99/9999"          at 114
     string(time, "hh:mm:ss")                     
     with page-top width 132 no-labels no-box no-attr-space
     frame f-title132.
view stream rpt frame f-title132.

form header
     "Options: "
     "Site"
     with page-top width 132 no-labels no-box no-attr-space
     frame f-opt132.
view stream rpt frame f-opt132.

form i j k l m
     with frame f1 down row 0 column 0 width 132.

do i = 1 to 75:
   
   display stream rpt 
           i j k l m 
           with frame f1.

   if i = 11 then
      page stream rpt. 

   down stream rpt with frame f1.

end.           

output stream rpt close.
