def var customerOrderNumber as integer format ">>>>>>z"  label "SO".
def var itemCost as decimal   format "-zzz,zz9.99999" label "Cost".
def var name as character  format "x(25)" label "Vendor".
def var phone as character format "x(12)" label "Phone".
def var promiseDate as date   format "99/99/9999"  label "Prom. Date".
def var purchaseOrderLine as integer   format ">>9"   label "Line".
def var purchaseOrderNumber as integer format ">>>>>>9"  label "PO".
def var quantityOrdered as decimal  format "zzz,zz9.999" label "Ordered".
def var quantityReceived as decimal format "zzz,zz9.999" label "Received".
def var siteNumber as integer format ">9" label "Site".
def var status_ as character   format "!(1)"  label "Stat".
def var tStat as character format "x(3)"  label "Stat".
def var timedOperation as integer   format ">>>>9" label "Oper".
def var vendorNumber as integer  format ">>>>>>9"  label "Vend #".
def var morTransaction as integer   format ">>>>>>>"  label "M.O.R.".

form
    purchaseOrderNumber
    status_
    name
    quantityOrdered
    promiseDate         at 56
    customerOrderNumber to 72
    timedOperation
    purchaseOrderLine   to 7
    vendorNumber        at 10
    phone               at 22
    siteNumber          at 36
    quantityReceived    to 50
    itemCost            to 64
    morTransaction
    tStat
    with down frame f0 row 6.

purchaseOrderNumber = 651156.
status_             = "C".
name                = "AIR SPARES, INC.".
quantityOrdered     = 500.000.
promiseDate         = 03/24/2009.
purchaseOrderLine   = 1.
vendorNumber        = 545.
phone               = "800-523-3088".
siteNumber          = 1.
quantityReceived    = 500.000.
itemCost            = 0.98000.

display
    purchaseOrderNumber
    status_
    name
    quantityOrdered
    promiseDate
    purchaseOrderLine
    vendorNumber
    phone
    siteNumber
    quantityReceived
    itemCost
  with frame f0.
  
